commit: 8b3eb99d64f4c759f18d3ec114ae482d536e5571
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Jan 30 09:23:50 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Jan 30 09:23:50 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=8b3eb99d
sci-libs/cgnstools: remove pack, replace by cgnslib[tools]
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
sci-libs/cgnstools/cgnstools-2.5.4-r1.ebuild | 63 -----------
sci-libs/cgnstools/files/cgnstools-2.5.4.patch | 121 ---------------------
.../files/cgnstools-2.5.4_cgns_to_vtk2D.patch | 49 ---------
.../cgnstools/files/cgnstools-2.5.4_gcc4.4.patch | 84 --------------
.../cgnstools/files/cgnstools-2.5.4_tcltk.patch | 114 -------------------
sci-libs/cgnstools/metadata.xml | 11 --
6 files changed, 442 deletions(-)
diff --git a/sci-libs/cgnstools/cgnstools-2.5.4-r1.ebuild
b/sci-libs/cgnstools/cgnstools-2.5.4-r1.ebuild
deleted file mode 100644
index 250cb60ed..000000000
--- a/sci-libs/cgnstools/cgnstools-2.5.4-r1.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils multilib versionator
-
-MY_P="${PN}-$(replace_all_version_separators '-')"
-
-DESCRIPTION="The CFD General Notation System (CGNS) tools"
-HOMEPAGE="http://www.cgns.org/"
-SRC_URI="mirror://sourceforge/cgns/${MY_P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="hdf5 tcl tk X"
-
-DEPEND="
- hdf5? ( sci-libs/cgnslib[hdf5] )
- !hdf5? ( sci-libs/cgnslib[-hdf5] )
- tcl? ( dev-lang/tcl:0= )
- tk? ( dev-lang/tk:0= )"
-
-RDEPEND="${DEPEND}"
-
-S=${WORKDIR}/${PN}
-
-PATCHES=(
- "${FILESDIR}"/${P}.patch
- "${FILESDIR}"/${P}_cgns_to_vtk2D.patch
- "${FILESDIR}"/${P}_gcc4.4.patch
- "${FILESDIR}"/${P}_tcltk.patch
-)
-
-src_prepare() {
- epatch "${PATCHES[@]}"
-}
-
-src_configure() {
- local myconf
- myconf="${myconf} --enable-gcc --enable-64bit --with-cgns=/usr/include
--bindir=${D}/usr/bin --datadir=${D}/usr/share/${PN}"
- use hdf5 && myconf="${myconf} --with-adfh=/usr/include/adfh"
-
- if use tcl ; then
- TCLVER="$(echo 'puts [info tclversion]' | $(type -P tclsh))"
- myconf="${myconf} $(use_with tcl tcl
/usr/$(get_libdir)/tcl${TCLVER})"
- sed -i -e "s|TKLIBS = |TKLIBS = -ltcl${TCLVER} |" make.defs.in
|| die
- fi
-
- if use tk ; then
- # no, there's no tkversion, and type -P wish requires running X
- TKVER="$(echo 'puts [info tclversion]' | $(type -P tclsh))"
- myconf="${myconf} $(use_with tk tk
/usr/$(get_libdir)/tk${TKVER})"
- sed -i -e "s|TKLIBS = |TKLIBS = -ltk${TKVER} |" make.defs.in ||
die
- fi
-
- econf \
- $(use_with X x) \
- ${myconf}
-
- sed -i -e "s|${D}||" cgconfig || die
-}
diff --git a/sci-libs/cgnstools/files/cgnstools-2.5.4.patch
b/sci-libs/cgnstools/files/cgnstools-2.5.4.patch
deleted file mode 100644
index 2ca665966..000000000
--- a/sci-libs/cgnstools/files/cgnstools-2.5.4.patch
+++ /dev/null
@@ -1,121 +0,0 @@
---- cgnstools-2.5.2.orig/configure
-+++ cgnstools-2.5.2/configure
-@@ -1568,9 +1568,9 @@
- fi
- cgnslib=`grep "^LIBCGNS *=" $CGNSDIR/make.$SYSTEM | sed "s/^LIBCGNS *= *//"`
- if test -z `echo $cgnslib | grep "/"`; then
-- CGNSLIB=\$\(CGNSDIR\)/lib/\$\(LIBCGNS\)
-+ CGNSLIB=/usr/lib/libcgns.so
- else
-- CGNSLIB=\$\(CGNSDIR\)/\$\(LIBCGNS\)
-+ CGNSLIB=/usr/lib/libcgns.so
- fi
- HDF5LIBS="\$(HDF5LIB) \$(SZIPLIB) \$(ZLIBLIB)"
- else
-@@ -1583,7 +1583,7 @@
- `ls -dr ../* 2>/dev/null` \
- `ls -dr ../../* 2>/dev/null` \
- `ls -dr ../../../* 2>/dev/null` ; do
-- if test -f "$d/src/ADF.h" && test -f "$d/src/ADFH.h"; then
-+ if test -f "$d/ADF.h" && test -f "$d/src/ADFH.h"; then
- adfhdir=`(cd $d; pwd)`
- echo "$ac_t""$adfhdir" 1>&6
- break
-@@ -1591,12 +1591,12 @@
- done
- else
- echo "$ac_t""$adfhdir" 1>&6
-- if test ! -f "$adfhdir/src/ADF.h" || test ! -f "$adfhdir/src/ADFH.h"; then
-+ if test ! -f "$adfhdir/ADF.h" || test ! -f "$adfhdir/ADFH.h"; then
- { echo "configure: error: $adfhdir directory does not contain src/ADF.h
and src/ADFH.h" 1>&2; exit 1; }
- fi
- fi
-- ADFDIR=$adfhdir/src
-- CGNSLIB=$adfhdir/\$\(SYSTEM\)/libcgns.\$\(A\)
-+ ADFDIR=$adfhdir
-+ CGNSLIB=/usr/lib/libcgns.so
- if test -f "$adfhdir/make.$SYSTEM"; then
- hdf5lib=`grep "^HDF5LIB *=" $adfhdir/make.$SYSTEM | sed "s/^HDF5LIB *=
*//"`
- sziplib=`grep "^SZIPLIB *=" $adfhdir/make.$SYSTEM | sed "s/^SZIPLIB *=
*//"`
-@@ -1997,7 +1997,7 @@
- `ls -dr ../tk8* 2>/dev/null` \
- `ls -dr ../../tk8* 2>/dev/null` \
- `ls -dr ../../../tk8* 2>/dev/null` ; do
-- if test -f "$d/unix/tkConfig.sh"; then
-+ if test -f "$d/../tkConfig.sh"; then
- tkdir=`(cd $d; pwd)`
- break
- fi
-@@ -2034,13 +2034,13 @@
- { echo "configure: error: Tcl directory $tcldir not found" 1>&2; exit 1; }
- fi
- tcldir=`(cd $tcldir; pwd)`
-- if test ! -f "$tcldir/unix/tclConfig.sh"; then
-+ if test ! -f "$tcldir/../tclConfig.sh"; then
- { echo "configure: error: tclConfig.sh not found in $tcldir/unix" 1>&2;
exit 1; }
- fi
- if test -z "$tkdir"; then
- dir=`dirname $tcldir`
- for d in `ls -dr $dir/tk* 2>/dev/null` ; do
-- if test -f "$d/unix/tkConfig.sh"; then
-+ if test -f "$d/../tkConfig.sh"; then
- tkdir=$d
- break
- fi
-@@ -2056,14 +2056,14 @@
- { echo "configure: error: Tk directory $tkdir not found" 1>&2; exit 1; }
- fi
- tkdir=`(cd $tkdir; pwd)`
-- TKCONFIG="$tkdir/unix/tkConfig.sh"
-+ TKCONFIG="$tkdir/../tkConfig.sh"
- if test ! -f "$TKCONFIG"; then
- { echo "configure: error: tkConfig.sh not found in $tkdir/unix" 1>&2;
exit 1; }
- fi
- if test -z "$tcldir"; then
- dir=`dirname $tkdir`
- for d in `ls -dr $dir/tcl* 2>/dev/null` ; do
-- if test -f "$d/unix/tclConfig.sh"; then
-+ if test -f "$d/../tclConfig.sh"; then
- tcldir=$d
- break
- fi
-@@ -2073,8 +2073,8 @@
- fi
- fi
- . $TKCONFIG
-- tcllib=`ls -d $tcldir/unix/libtcl8* 2>/dev/null`
-- tklib=`ls -d $tkdir/unix/libtk8* 2>/dev/null`
-+ tcllib=`ls -d $tcldir/libtcl8* 2>/dev/null`
-+ tklib=`ls -d $tkdir/libtk8* 2>/dev/null`
- X11LIBS=""
- TKINCS="-I$tcldir/generic -I$tkdir/generic"
- if test "$ac_cv_cygwin" = "yes"; then
---- cgnstools-2.5.2.orig/make.defs.in
-+++ cgnstools-2.5.2/make.defs.in
-@@ -3,7 +3,7 @@
- SYSTEM = @SYSTEM@
- CGNSDIR = @CGNSDIR@
-
--include $(CGNSDIR)/make.$(SYSTEM)
-+# include $(CGNSDIR)/make.$(SYSTEM)
-
- ADFINC = @ADFDIR@
-
-@@ -40,7 +40,7 @@
- # strip command for executables - set to true if not used
- #------------------------------------------------------------------------
-
--STRIP = @STRIP@
-+STRIP = true
-
- #------------------------------------------------------------------------
- # library archiver and ranlib
-@@ -78,7 +78,7 @@
-
- BIN_INSTALL_DIR = @BIN_INSTALL_DIR@
- EXE_INSTALL_DIR = @EXE_INSTALL_DIR@
--WSH_INSTALL_DIR = $(EXE_INSTALL_DIR)/cgnswish
-+WSH_INSTALL_DIR = $(EXE_INSTALL_DIR)
- LIB_INSTALL_DIR = @LIB_INSTALL_DIR@
-
- #-----------------------------------------------------------------------
diff --git a/sci-libs/cgnstools/files/cgnstools-2.5.4_cgns_to_vtk2D.patch
b/sci-libs/cgnstools/files/cgnstools-2.5.4_cgns_to_vtk2D.patch
deleted file mode 100644
index aa9972dd1..000000000
--- a/sci-libs/cgnstools/files/cgnstools-2.5.4_cgns_to_vtk2D.patch
+++ /dev/null
@@ -1,49 +0,0 @@
---- cgnstools-2.5.4.orig/utilities/cgns_to_vtk.c 2007-09-05
18:24:50.000000000 +0200
-+++ cgnstools-2.5.4/utilities/cgns_to_vtk.c 2009-10-30 19:44:58.000000000
+0100
-@@ -197,7 +197,7 @@
-
- static int get_nodes (int nz, ZoneType_t zonetype, int *sizes)
- {
-- int i, j, n, ncoords;
-+ int i, j, n, ncoords, ii, jj;
- int rind[6], rng[2][3];
- DataType_t datatype;
- float *xyz;
-@@ -248,6 +248,14 @@
- strcpy (coordtype, " ");
- xyz = (float *) malloc (nnodes * sizeof(float));
- nodes = (Node *) malloc (nnodes * sizeof(Node));
-+
-+ // make sure the array is initialized with 0.0 (important for 2D meshes)
-+ for(jj= 0; jj < nnodes; jj++){
-+ for(ii= 0; ii < 3; ii++){
-+ nodes[jj][ii] = 0.0;
-+ }
-+ }
-+
- if (xyz == NULL || nodes == NULL)
- FATAL ("malloc failed for nodes");
-
-@@ -980,7 +988,7 @@
- FATAL (NULL);
- printf (" using base %d - %s\n", cgnsbase, name);
- fflush (stdout);
-- if (PhyDim != 3 /*|| (CellDim != 1 && CellDim != 3)*/)
-+ if (PhyDim != 3 && CellDim != 2)
- FATAL ("cell and/or physical dimension invalid");
-
- if (cg_nzones (cgnsfn, cgnsbase, &nzones))
-@@ -1043,8 +1051,12 @@
- fprintf (fp, "%s\n", ascii ? "ASCII" : "BINARY");
- if (zonetype == Structured) {
- fprintf (fp, "DATASET STRUCTURED_GRID\n");
-+ int dim3 = sizes[2];
-+ if ( CellDim == 2 ) {
-+ dim3 = 1;
-+ }
- fprintf (fp, "DIMENSIONS %d %d %d\n",
-- sizes[0], sizes[1], sizes[2]);
-+ sizes[0], sizes[1], dim3);
- }
- else
- fprintf (fp, "DATASET UNSTRUCTURED_GRID\n");
diff --git a/sci-libs/cgnstools/files/cgnstools-2.5.4_gcc4.4.patch
b/sci-libs/cgnstools/files/cgnstools-2.5.4_gcc4.4.patch
deleted file mode 100644
index 1df1a9aea..000000000
--- a/sci-libs/cgnstools/files/cgnstools-2.5.4_gcc4.4.patch
+++ /dev/null
@@ -1,84 +0,0 @@
---- cgnstools-2.5.4.orig/utilities/tecplot_to_cgns.c
-+++ cgnstools-2.5.4/utilities/tecplot_to_cgns.c
-@@ -60,11 +60,11 @@
- }
- }
-
--/*---------- getline ------------------------------------------------
-+/*---------- getlineCGNS ------------------------------------------------
- * get next non-blank line
- *-------------------------------------------------------------------*/
-
--static char *getline (FILE *fp)
-+static char *getlineCGNS (FILE *fp)
- {
- char *p;
-
-@@ -285,7 +285,7 @@
- cgnsImportBase (basename);
-
- nz = 0;
-- p = getline (fp);
-+ p = getlineCGNS (fp);
-
- while (p != NULL) {
-
-@@ -295,14 +295,14 @@
- for (p += 9; *p && isspace(*p); p++)
- ;
- if (*p++ != '=') {
-- p = getline (fp);
-+ p = getlineCGNS (fp);
- continue;
- }
- nvar = 0;
- xloc = yloc = zloc = -1;
- while (1) {
- if ((s = getvar (&p)) == NULL) {
-- p = getline (fp);
-+ p = getlineCGNS (fp);
- if (p == NULL || (s = getvar (&p)) == NULL) break;
- }
- if (0 == strcasecmp ("x", s))
-@@ -337,7 +337,7 @@
- cgnsImportFatal ("end of file while reading zone");
- ungetc (n, fp);
- if (!isalpha (n)) break;
-- p = getline (fp);
-+ p = getlineCGNS (fp);
- continue;
- }
- switch (n) {
-@@ -389,7 +389,7 @@
- if (nn == -1) {
- if (ni < 2 || nj < 2 || nk < 2) {
- printf("missing I, J and K - skipping zone\n");
-- p = getline(fp);
-+ p = getlineCGNS(fp);
- continue;
- }
- nn = ni * nj * nk;
-@@ -400,12 +400,12 @@
- if (nn < 3 || ne < 1 || et < 0) {
- printf("%d nodes, %d %s elements - skipping zone\n",
- nn, ne, elemname);
-- p = getline(fp);
-+ p = getlineCGNS(fp);
- continue;
- }
- if (et < 2) {
- printf ("%s elements - skipping zone\n", elemname);
-- p = getline (fp);
-+ p = getlineCGNS (fp);
- continue;
- }
- }
-@@ -478,7 +478,7 @@
- cgnsImportWrite ();
- }
-
-- p = getline (fp);
-+ p = getlineCGNS (fp);
- }
-
- fclose (fp);
diff --git a/sci-libs/cgnstools/files/cgnstools-2.5.4_tcltk.patch
b/sci-libs/cgnstools/files/cgnstools-2.5.4_tcltk.patch
deleted file mode 100644
index d9036d0bf..000000000
--- a/sci-libs/cgnstools/files/cgnstools-2.5.4_tcltk.patch
+++ /dev/null
@@ -1,114 +0,0 @@
-From c9606ed1914d88c40e9b076b645bc5f7a8046c86 Mon Sep 17 00:00:00 2001
-From: James Cloos <[email protected]>
-Date: Wed, 16 Jan 2013 20:40:23 -0500
-Subject: [PATCH] Update for current tcl/tk, based on cgns svn trunk.
-
-Signed-off-by: James Cloos <[email protected]>
----
- tkogl/nurbs.c | 4 +++-
- tkogl/printstr.c | 4 +++-
- tkogl/quadric.c | 4 +++-
- tkogl/tess.c | 4 +++-
- tkogl/tkogl.c | 12 +++++++++---
- 5 files changed, 21 insertions(+), 7 deletions(-)
-
-diff --git a/tkogl/nurbs.c b/tkogl/nurbs.c
-index 6d89be7..34086a3 100644
---- a/tkogl/nurbs.c
-+++ b/tkogl/nurbs.c
-@@ -278,7 +278,9 @@ done:
- DestroyFloatArray (cPoint);
-
- if (result == TCL_OK) {
-- sprintf (interp->result, "%d", dlist);
-+ char tmp[128];
-+ sprintf (tmp, "%d", dlist);
-+ Tcl_SetResult(interp, tmp, TCL_VOLATILE);
- }
-
- return result;
-diff --git a/tkogl/printstr.c b/tkogl/printstr.c
-index 8807525..e3d04f6 100644
---- a/tkogl/printstr.c
-+++ b/tkogl/printstr.c
-@@ -131,7 +131,9 @@ int LoadBitmapFont(Tcl_Interp *interp, int argc, char*
argv [])
- return TCL_ERROR;
- }
-
-- sprintf (interp->result, "%d", fontOffset);
-+ char tmp[128];
-+ sprintf (tmp, "%d", fontOffset);
-+ Tcl_SetResult(interp, tmp, TCL_VOLATILE);
- return TCL_OK;
- }
-
-diff --git a/tkogl/quadric.c b/tkogl/quadric.c
-index ea8e7b3..859e440 100644
---- a/tkogl/quadric.c
-+++ b/tkogl/quadric.c
-@@ -147,7 +147,9 @@ done:
- if (dlist != 0) glEndList(); else return result;
-
- if (result == TCL_OK) {
-- sprintf (interp->result, "%d", dlist);
-+ char tmp[128];
-+ sprintf (tmp, "%d", dlist);
-+ Tcl_SetResult(interp, tmp, TCL_VOLATILE);
- }
- else {
- glDeleteLists (dlist, 1);
-diff --git a/tkogl/tess.c b/tkogl/tess.c
-index fa9cf37..c054820 100644
---- a/tkogl/tess.c
-+++ b/tkogl/tess.c
-@@ -122,7 +122,9 @@ Tesselate (Tcl_Interp *interp, int argc, char* argv [])
- }
-
- if (dlist != 0) {
-- sprintf (interp->result, "%d", dlist);
-+ char tmp[128];
-+ sprintf (tmp, "%d", dlist);
-+ Tcl_SetResult(interp, tmp, TCL_VOLATILE);
- }
- return TCL_OK;
- }
-diff --git a/tkogl/tkogl.c b/tkogl/tkogl.c
-index 1e7323d..6c91dd1 100644
---- a/tkogl/tkogl.c
-+++ b/tkogl/tkogl.c
-@@ -641,7 +641,7 @@ OGLwinCmd(clientData, interp, argc, argv)
- ARRANGE_REDRAW(glxwinPtr);
- GetAbsXY (glxwinPtr);
-
-- interp->result = Tk_PathName(glxwinPtr->tkwin);
-+ Tcl_SetResult(interp, Tk_PathName(glxwinPtr->tkwin), TCL_VOLATILE);
- return TCL_OK;
- }
-
-@@ -998,7 +998,11 @@ OGLwinWidgetCmd(clientData, interp, argc, argv)
- argv += narg;
- }
- glEndList();
-- if (result == TCL_OK) sprintf (interp->result, "%d", newlist);
-+ if (result == TCL_OK) {
-+ char tmp[128];
-+ sprintf (tmp, "%d", newlist);
-+ Tcl_SetResult(interp, tmp, TCL_VOLATILE);
-+ }
- }
- else if ((c == 'e') && (strncmp(argv[1], "eval", length) == 0)) {
- /* sends the gl commands directly */
-@@ -1090,7 +1094,9 @@ OGLwinWidgetCmd(clientData, interp, argc, argv)
- viewport, &x, &y, &z);
- }
- if (retval) {
-- sprintf (interp->result, "%f %f %f", x, y, z);
-+ char tmp[128];
-+ sprintf (tmp, "%f %f %f", x, y, z);
-+ Tcl_SetResult(interp, tmp, TCL_VOLATILE);
- }
- }
- else if ((c == 'r') && (strncmp(argv[1], "redraw", length) == 0)) {
---
-1.8.1
-
diff --git a/sci-libs/cgnstools/metadata.xml b/sci-libs/cgnstools/metadata.xml
deleted file mode 100644
index 32379f114..000000000
--- a/sci-libs/cgnstools/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>[email protected]</email>
- <name>Gentoo Science Project</name>
- </maintainer>
- <upstream>
- <remote-id type="sourceforge">cgns</remote-id>
- </upstream>
-</pkgmetadata>